Skip to main content
GET
/
v1
/
tools
List Tools
curl --request GET \
  --url https://api.oneinbox.ai/v1/tools \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "name": "<string>",
      "type": "<string>",
      "description": "<string>",
      "url": "<string>",
      "method": "<string>",
      "headers": {},
      "parameters": [
        "<unknown>"
      ],
      "transfer_to": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "run_in_background": false,
      "speak_during_execution": false,
      "extraction_schema": {},
      "messaging_config": {},
      "calendar_config": {}
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Authorizations

Authorization
string
header
required

Your API key sent as a Bearer credential — Authorization: Bearer <api_key>, where <api_key> starts with oi_sk_ (create one via POST /v1/api-keys). Although the field is labelled 'token', paste your API key here. A dashboard JWT is also accepted on this header for the same endpoints.

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

items
ToolResponse · object[]
required
total
integer
required
limit
integer
required
offset
integer
required